package intrinsic.flash.events;

public class NativeWindowBoundsEvent extends intrinsic.flash.events.Event {

	/** Accessors */
	public intrinsic.flash.geom.Rectangle afterBounds;
	public intrinsic.flash.geom.Rectangle beforeBounds;

	/** Variables */

	/** Constants */
	public static final String RESIZE = "resize";
	public static final String MOVE = "move";
	public static final String RESIZING = "resizing";
	public static final String MOVING = "moving";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public NativeWindowBoundsEvent() {
}

public NativeWindowBoundsEvent(String arg0) {
}

public NativeWindowBoundsEvent(String arg0, boolean arg1) {
}

public NativeWindowBoundsEvent(String arg0, boolean arg1, boolean arg2) {
}

public NativeWindowBoundsEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.geom.Rectangle arg3) {
}

public NativeWindowBoundsEvent(String arg0, boolean arg1, boolean arg2, intrinsic.flash.geom.Rectangle arg3, intrinsic.flash.geom.Rectangle arg4) {
}


/** Static Methods */

/** Methods */
public native Object clone();
public native String toString();

}
